summaryrefslogtreecommitdiff
path: root/libnet/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libnet/autogen.sh')
-rwxr-xr-xlibnet/autogen.sh22
1 files changed, 18 insertions, 4 deletions
diff --git a/libnet/autogen.sh b/libnet/autogen.sh
index 70a7cab..3cc3a6b 100755
--- a/libnet/autogen.sh
+++ b/libnet/autogen.sh
@@ -1,9 +1,23 @@
-#!/bin/sh
+#!/bin/sh -ex
+#
+# A bootstrapping script that can be used to generate the autoconf,
+# automake and libtool-related scripts of the build process.
+#
+# $Id: autogen.sh,v 1.2 2004/08/10 13:57:46 gkeramidas Exp $
+
+trap "/bin/rm -fr autom4te.cache ; \
+ echo 'Failed to regenerate autoconf/automake stuff.'" 0 1 2 15
set -x
+set -e
-aclocal
-autoconf
+rm -fr autom4te.cache
+libtoolize --copy --force
+aclocal -I .
autoheader
-automake --add-missing
+automake -a -c --foreign
+autoconf
+rm -fr autom4te.cache
+set +e
+trap "echo $0 ok" 0 1 2 15